function varargout = update_gui(varargin)

persistent plot_handle2

rto2 = get_param('Beispiel4_sim/Out1','RuntimeObject');

XData2 = get_param('Beispiel4_sim','SimulationTime');
YData2 = rto2.InputPort(1).Data;


% save Data to workspace
assignin('base','XData2',XData2)
assignin('base','YData2',YData2)

% real-time plot

if isempty(plot_handle2)||~ishandle(plot_handle2)
    guiplot=findobj(0,'Tag','axesplot2');
    plot_handle2 = plot(guiplot, XData2, YData2);
    grid on
else
    XData_old = get(plot_handle2, 'XData');
    YData_old = get(plot_handle2, 'YData');
    XData2 = [XData_old, XData2];
    YData2 = [YData_old, YData2];
    set(plot_handle2, 'XData', XData2,'YData', YData2,'Color','red')
    %axis([0 20 0 10])
    drawnow
end