function varargout = update_gui(varargin)

persistent plot_handle1
%create a run time object that can return the value of the outport block's
%input and then put the value in a string
rto1 = get_param('Beispiel4_sim/simout','RuntimeObject');


% create str from rto1
str = num2str(rto1.InputPort(1).Data);

% get a handle to the GUI's 'edit_display' window
display = findobj('Tag','edit_display');

% update the gui
set(display,'string',str);

% get Data from Simulation
XData1 = get_param('Beispiel4_sim','SimulationTime');
YData1 = rto1.InputPort(1).Data;


% save Data to workspace
assignin('base','XData1',XData1)
assignin('base','YData1',YData1)


% real-time plot

if isempty(plot_handle1) || ~ishandle(plot_handle1)
    guiplot=findobj(0, 'Tag', 'axesplot1');
    plot_handle1 = plot(guiplot, XData1, YData1);
    grid on 
else
    XData_old = get(plot_handle1, 'XData');
    YData_old = get(plot_handle1, 'YData');
    XData1 = [XData_old, XData1];
    YData1 = [YData_old, YData1];
    set(plot_handle1, 'XData', XData1)
    set(plot_handle1, 'YData', YData1)
   % axis([0 20 0 10])
    drawnow
end